lazy_static! {
    static ref ROOT_DIR: PathBuf = PathBuf::from(env!("CARGO_MANIFEST_DIR")).parent().unwrap().to_owned();
    static ref FIXTURES_DIR: PathBuf = ROOT_DIR.join("test").join("fixtures");
    static ref HEADER_DIR: PathBuf = ROOT_DIR.join("lib").join("include");
    static ref GRAMMARS_DIR: PathBuf = ROOT_DIR.join("test").join("fixtures").join("grammars");
    static ref SCRATCH_DIR: PathBuf = {
        let base = if let Some(tmpdir) = option_env!("CARGO_TARGET_TMPDIR") {
            PathBuf::from(tmpdir)
        } else if let Some(targetdir) = option_env!("CARGO_TARGET_DIR") {
            PathBuf::from(targetdir)
        } else {
            ROOT_DIR.join("target")
        };
        let result = base.join("scratch");
        fs::create_dir_all(&result).unwrap();
        result
    };
}
